<html>
    <head>

    </head>
    <body>
        <h1>Success</h1>
        <script>
            var urlParams = new URLSearchParams(window.location.search);
            // var code = urlParams.get('access_token');
            // var params = window.location.href.split( "#" )[ 1 ]
            // window.opener.getCode( params );
            var code = urlParams.get('code')
            window.opener.getCode( code );
            window.close();
        </script>
    </body>
</html>